Subject: [decade] Supporting DECADE in PPSP

From: [email-masked]
Date: Tue, 8 Mar 2011 17:48:37 +0800

Hi, all

We submitted a new draft about supporting DECADE in PPSP. It can be 
accessed at 
http://www.ietf.org/id/draft-le-ppsp-decade-interoperation-00.txt
Comments are welcome.

BR
Lichun

A new version of I-D, draft-le-ppsp-decade-interoperation-00.txt has been 
successfully submitted by Guan Le and posted to the IETF repository.

Filename:                 draft-le-ppsp-decade-interoperation
Revision:                 00
Title:                            PPSP Usage for DECADE
Creation_date:            2011-03-07
WG ID:                            Independent Submission
Number_of_pages: 14

Abstract:
P2P Streaming has become popular application in the Internet.
Currently, most home subscribers access Internet via ADSL, in which
downlink bandwidth and uplink bandwidth are not symmetric.  This
feature would influence the performance of P2P Streaming, and the
problem may be worse in mobile scenarios.  This draft presents the
interoperation between PPSP protocol and DECADE protocol to provide
DECADE service for PPSP applications.  Typically, there are two
solution to achieve interoperation, loose interoperation among peers,
and close interoperation via connection of peer and tracker.  By
introducing DECADE in both tracker protocol and peer protocol, PPSP
streaming can alleviate strength of upload bandwidth and improve
performance for fix and mobile scenario.

The IETF Secretariat.

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: [email-masked]
Date: Wed, 23 Mar 2011 10:49:55 +0800

Hi Lingli,

The message flows of close integration in the draft are wrong. I have 
updated them in my slides. The right flows are described as below. 
If the DECADE server is rent by peer, peer reports DECADE status to 
tracker when the status changes.
If the DECADE server is rent by P2P streaming service provider, tracker 
asks DECADE server to download specific content from specific peer, or 
asks peer to upload specific content to specific DECADE server. In another 
word, tracker can control the content distribution in DECADE servers 
according to the copy number and demand rate of every content. This can 
make better use of DECADE resources. 

BR
Lichun

邓灵莉/denglingli <[email-masked]> 写于 2011-03-22 10:58:25:

> Hi Lichun,
> 
> For the close integration mode you mentioned, I wonder if PPSP 
> tracker would be bothered by the unnecessary signaling burden for 
> the repeated DECADE status updates for a single DECADE server for 
> from the peer group share its resource.
> What do you think?
> 
> Lingli Deng
> 
> 发件人: [email-masked] [mailto:[email-masked]] 代表 乐冠
> 发送时间: 2011年3月16日 17:46
> 收件人: li.lichun1
> 抄送: ppsp
> 主题: Re: [ppsp] Supporting DECADE in PPSP
> 
> Hi Yunfei and Lichun
> 
> Thank you for your comments. I will update draft based on your 
> suggestion. Here are my considerations in line:
> 
> 1) The target of this draft: Is it better to discuss the inter-
> opearability between PPSP and DECADE;or discuss the usage of DECADE 
> in PPSP? I mean the focus may be a little bit different: In the 
> former case, the focus is how the protocols inter-act in the mesage 
> options exchange; in the latter case, the focus is how the PPSP 
> applications use DECADE to enhance the performance. I prefer to 
> taking it as the usage.
> I agree your opinion. What's more, content about PPSP and DECADE 
> interoperation aims to provide scenarios for usage. Also, we can 
> list some extension suggestions to both protocol. Peharps I can add 
> a new chapter to those suggestion.
> 
> 2) Should we make DECADE server selection with priority all the 
> time? In the mobile senario, such selection is reasonable; in wired 
> senario, it seems better to select good enough peers within my LAN 
> than select DECADE servers which is more far from me. This will 
> reduce the unnecessary traffic and provide better performance.
> I agree. We should design based on different scenarios. One more 
> question, should peer upload content to DECADE server automatically 
> when get data from other peers? Perhaps in push-based model, it may 
> be reasonable; in pull-based model, peer can wait for other peers' 
> request and then take action to requests.
> 
> 
> Guan Le
> School of Computer Science
> Beijing University of Posts and Telecommunications
>  2011-03-16
> 
> From:  li.lichun1 
> Date:  2011-03-14  13:40:09 
> To:  zhangyunfei 
> Cc:  [email-masked] 
> Subject:  Re: [ppsp] Supporting DECADE in PPSP 
> 
> 
> Hi yunfei, 
> Thanks for your comments. 
> 1) The focus is the usage of DECADE in PPSP. The usage also needs 
> some extensions to the protocols. 
> 2) You are right. The priority of DECADE depends on scenario and 
> peer/DECADE selection algorithm. Sometimes, downloading from peer is
> better. Also, some scenarios may use DECADE as backup only and give 
> low priority to DECADE. 
> 
> BR 
> Lichun 
> 

> 
> "zhangyunfei" <[email-masked]> 
> 2011-03-14 10:31 
> 
> 收件人
> 
> "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]> 
> 
> 抄送
> 
> 主题
> 
> Re: [ppsp] Supporting DECADE in PPSP
> 
> 
> 
> 
> 
> 
> Hi Lichun, 
>     This is an intersting topic I thought and discussed during the 
> set up of PPSP and DECADE. Thanks for making it more clear:).Some 
> suggestions are as follows: 
> 1) The target of this draft: Is it better to discuss the inter-
> opearability between PPSP and DECADE;or discuss the usage of DECADE 
> in PPSP? I mean the focus may be a little bit different: In the 
> former case, the focus is how the protocols inter-act in the mesage 
> options exchange; in the latter case, the focus is how the PPSP 
> applications use DECADE to enhance the performance. I prefer to 
> taking it as the usage. 
> 2) Should we make DECADE server selection with priority all the 
> time? In the mobile senario, such selection is reasonable; in wired 
> senario, it seems better to select good enough peers within my LAN 
> than select DECADE servers which is more far from me. This will 
> reduce the unnecessary traffic and provide better performance. 
> 
> BR 
> Yunfei 
> 
> 
> 
> zhangyunfei 
> 2011-03-14 
> 
> 
> 发件人： [email-masked] 
> 发送时间： 2011-03-08 17:47:11 
> 收件人： [email-masked] 
> 抄送： 
> 主题： [ppsp] Supporting DECADE in PPSP 
> 
> 
> Hi, all 
> 
> Comments are welcome. 
> 
> BR 
> Lichun 
> 
> A new version of I-D, draft-le-ppsp-decade-interoperation-00.txt has
> been successfully submitted by Guan Le and posted to the IETF 
repository.
> ZTE Information Security Notice: The information contained in this 
> mail is solely property of the sender's organization. This mail 
> communication is confidential. Recipients named above are obligated 
> to maintain secrecy and are not permitted to disclose the contents 
> of this communication to others.
> This email and any files transmitted with it are confidential and 
> intended solely for the use of the individual or entity to whom they
> are addressed. If you have received this email in error please 
> notify the originator of the message. Any views expressed in this 
> message are those of the individual sender.

> ZTE Information Security Notice: The information contained in this 
> mail is solely property of the sender's organization. This mail 
> communication is confidential. Recipients named above are obligated 
> to maintain secrecy and are not permitted to disclose the contents 
> of this communication to others.
> This email and any files transmitted with it are confidential and 
> intended solely for the use of the individual or entity to whom they
> are addressed. If you have received this email in error please 
> notify the originator of the message. Any views expressed in this 
> message are those of the individual sender.